package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 数据字典明细
 * </p>
 *
 * @author LiMengNan
 * @since 2023-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysDictionaryItems implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 对应字典ID
     */
    @TableField("dictid")
    private String dictId;

    /**
     * 顺序号
     */
    @TableField("orderno")
    private Integer orderNo;

    /**
     * 项编码
     */
    @TableField("itemcode")
    private String itemCode;

    /**
     * 项名称
     */
    @TableField("dictname")
    private String dictName;

    /**
     * 父项编码
     */
    @TableField("parentcode")
    private String parentCode;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
