package com.yfd.platform.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yfd.platform.system.domain.SysOrganization;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 系统组织框架 Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2021-12-15
 */
public interface SysOrganizationMapper extends BaseMapper<SysOrganization> {

    /***********************************
     * 用途说明：去重查询组织分类
     * 返回值说明:  所有组织分类
     ***********************************/
    List<String> queryOrgtype();

    /***********************************
     * 用途说明：根据组织分类查询上级id
     * 参数说明
     * orgtype      组织分类
     * 返回值说明:  上级id
     ***********************************/
    List<String> queryParentid(@Param("orgtype") String orgtype);

}
